<?php
/*--------------------------------------------+
| PHP-Fusion 7 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2009 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Original infusion by extended-fusion crew   |
| Mod: extended_warstats_panel		      |
| Website: http://eXtreme-fusion.pl           |
| Mods to the mod :-) Rawhead		      |
|---------------------------------------------|
| V7 by Smokeman                              |
| Web: http://www.phpfusion-tips.dk/          |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 3)  |
+--------------------------------------------*/
@require_once "../../config.php";
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

include INFUSIONS."cup/infusion_db.php";

if (file_exists(INFUSIONS."cup/locale/".$settings['locale'].".php")) {
	include INFUSIONS."cup/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."cup/locale/English.php";
}

opentable($locale['CUP502']);

if (!isset($_GET['sortby']) || !preg_match("/^[0-9A-Z]$/", $_GET['sortby'])) { $_GET['sortby'] = "all"; }
$orderby = ($_GET['sortby'] == "all" ? "" : " WHERE cup_namn LIKE '".stripinput($_GET['sortby'])."%'");
$result = dbquery("SELECT * FROM ".DB_CUP.$orderby."");
$rows = dbrows($result);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0) {
$i = 0;
echo "<table border='0' cellpadding='0' cellspacing='0' style='border-collapse: collapse' bordercolor='#111111' width='100%' id='AutoNumber1'>\n<tr>\n
<td align='left' width='25%' class='tbl2'><img src='".THEME."images/bullet.gif'> <b>".$locale['CUP102'] ."</b></td>\n
<td align='left' width='25%' class='tbl2'><b>".$locale['CUP103']."</b></td>\n
<td align='left' width='25%' class='tbl2'><b>".$locale['CUP104']."</b></td>\n
<td align='left' width='25%' class='tbl2'><b>".$locale['CUP504']."</b></td>\n
</tr>\n
<tr>\n
<td width='100%' colspan='15'><hr /></td>\n
</tr>\n";

echo " <div align='right' valign='top'><a href='javascript:history.back()'><img src='".INFUSIONS."cup/image/retur.gif' border='0' style='vertical-align:middle;' alt='".$locale['CUP509']."' /></a>&nbsp;<a href='javascript:history.back()' title='".$locale['CUP509']."'>".$locale['CUP509']."</a></div>\n";

$result = dbquery("SELECT * FROM ".DB_CUP.$orderby." ORDER BY cup_datum ASC, cup_time DESC LIMIT ".$_GET['rowstart'].",50");
while ($data = dbarray($result)) {

echo"<table border='0' cellpadding='0' cellspacing='0' style='border-collapse: collapse' bordercolor='#111111' width='100%' id='AutoNumber1'>\n<tr>\n
<td align='left' width='25%'><img src='".THEME."images/bullet.gif'> <b><font color='#940C82'>".$data['cup_namn']."</font></b></a></td>\n
<td align='left' width='25%'>".$data['cup_datum']."</td>\n
<td align='left' width='25%'>".$data['cup_time']."</td>\n
<td align='left' width='25%'><a href='".INFUSIONS."cup/cup.php?id=".$data['cup_id']."' title='".$locale['CUP508']."'><img src='".INFUSIONS."cup/image/comment.gif' border='0' alt='".$locale['CUP508']."' /></a></td>\n
</tr>\n
<tr>\n
<td width='100%' colspan='15'><hr /></td>\n
</tr>\n";
$i ++;
$rowstart="0";
}
echo "</table>\n";
} else {
echo "<center><br />\n".$locale['CUP507']." <b>".$_GET['sortby']."<b>\n</center><br /><br />\n";
}

$search = array(
"A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R",
"S","T","U","V","W","X","Y","Z","0","1","2","3","4","5","6","7","8","9"
);

echo "<table align='center' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
echo "<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['CUP503']."</a></td>\n";
for ($i = 0; $i < 36 != ""; $i++) {
echo "<td align='center' class='tbl1'><div class='small'><a href='".FUSION_SELF."?sortby=".$search[$i]."'>".$search[$i]."</a></div></td>\n";
echo ($i == 17 ? "\n
<td rowspan='2' class='tbl2'><a href='".FUSION_SELF."?sortby=all'>".$locale['CUP503']."</a></td>\n</tr>\n<tr>\n" : "\n");
}
echo "</tr>\n</table>\n";

closetable();
require_once THEMES."templates/footer.php";
?>